* {
    padding: 0;
    margin: 0;
}

a {
    text-decoration: none;
    color: #444;
}

#navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: gainsboro;
    min-height: 50px;
}

#logo {
    margin-left: 30px;
}

#nav_toolpane {
    align-items: center;
    display: flex;
    gap: 30px;
    margin-right: 30px;
}

#profile {
    align-items: center;
    display: flex;
    gap: 10px;
}

#sidebar {
    display: flex;
    flex-direction: column;
    margin-top: 30px;
    margin-left: 30px;
    width: 15%;
    height: 100%;
}

.sidebar_item {
    padding: 5px;
}

#main_wrapper {
    display: flex;
    flex-direction: row;    
}

#main_content {
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-top: 30px;
}

#students_block {
    display: flex;
    flex-grow: 1;
    align-self: stretch;
    width: 100%;
    margin-top: 30px;
}

#students_table {
    width: 100%;
    margin-right: 30px;
    align-self: stretch;
    flex-grow: 1;
    border-collapse: collapse;
}
  
td, th {
    border: 2px solid black;
    padding: 25px;
}

h1 {
    font-weight: lighter;
}

th {
    font-size: small;
    font-weight: lighter;
}

td {
    text-align: center;
    font-weight: bold;
    font-size: large;
}

.students_table_buttons {
    display: flex;
    justify-content: right;
    margin-right: 30px;
}

#btn_add_student {
    padding: 5px;
    width: 3%;
    height: 100%;
}

.table_buttons {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 5px;
}

.table_button {
    padding: 5px;
    width: 25%;
}

.indicator {
    height: 25px;
    width: 25px;
    border-radius: 50%;
    display: inline-block;  
}

.gray {
    background-color: #bbb;
}

.green {
    background-color: olivedrab;
}

input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border: 1px solid black;
    border-radius: 2px;
    width: 16px;
    height: 16px;
    outline: none;
    transition: all 0.3s;
    position: relative;
  }
  
  input[type="checkbox"]::before {
    content: "";
    display: block;
    width: 6px;
    height: 12px;
    border: 2px solid black;
    border-top: none;
    border-right: none;
    transform-origin: center center;
    transform: rotate(45deg) translate(-10px, -3px);
    opacity: 0;
    transition: all 0.3s;
    position: absolute;
  }
  
  input[type="checkbox"]:checked::before {
    opacity: 1;
    transform: rotate(-45deg) translate(3px, 0px);
  }
  
  button {
    background-color: white;
    border: 1px solid black;
  }

  #page_pane {
    margin-top: 30px;
    display: flex;
    justify-content: center;
    gap: 5px;
  }

  #page_pane button {
    width: 30px;
    height: 30px;
  }

  .sidebar_item a {
    text-decoration: none;
    color: #444;
    transition: all 0.1s ease;
  }
  
  .sidebar_item a:hover {
    text-shadow: 0 0 1px #666;
    font-weight: bold;
  }

  #notifications {
    display: inline-block; 
    position: relative;
    padding: 2px 5px; 
  }
  
  .button_badge {
    transition: .1s all linear;
    opacity: 1;  
    background-color: #fa3e3e;
    border-radius: 2px;
    color: white;
   
    padding: 1px 3px;
    font-size: 10px;
    
    position: absolute; /* Position the badge within the relatively positioned button */
    top: 0;
    right: 0;
  }
  
  .badge_invisible {
    padding: 0;
    opacity: 0;
  }

  .dropdown {
    position: relative;
    display: inline-block;
  }

  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    top: 30px;
    right: 5px;
  }
  
  /* Links inside the dropdown */
  .dropdown-content .profile-item {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  /* Change color of dropdown links on hover */
  .dropdown-content a:hover {background-color: #ddd;}

  .dropdown-content .notification-item:hover {background-color: #ddd;}
  
  /* Show the dropdown menu on hover */
  .dropdown:hover .dropdown-content {display: block;}
  
  /* Change the background color of the dropdown button when the dropdown content is shown */
  .dropdown:hover .dropbtn {background-color: #3e8e41;}

  .notification-item {
    min-width: 300px;
    display: flex;
    flex-direction: row;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 5px;
    padding-right: 5px;
  }

.notification-item-user {
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;
    flex-direction: column;
    width: 50px;
    flex: 1 0 25em;
    margin-right: 5px;
}

.notification-item-user-name {
    font-size: smaller;
    margin-top: 5px;
}

.notification-item-message {
    min-height: 50px;
    max-height: 50px;
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    align-items: center;
    background-color: rgb(200,200,200);
    border-radius: 10px;
    justify-content: left;
    padding-left: 10px;
    font-size: smaller;
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
  
  /* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    border: 1px solid #888;
    width: 50%; /* Could be more or less, depending on screen size */
}

.modal-content {
    border-radius: 5px;
    border-collapse: collapse;
}

.modal-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 0;
    padding: 20px;
    border-radius: 5px 5px 0 0;
    border-collapse: collapse;
    border: 2px solid black;
    border-bottom: 0;
}

.modal-body {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid black;
}

.modal-form {
    padding: 20px;
    margin-top: 30px;
    margin-bottom: 70px;
    font-size: larger;
    display: grid;
    grid-template-columns: 1fr 4fr;
    grid-row-gap: 30px;
    grid-column-gap: 50px;
}

.modal-footer {
    display: flex;
    flex-direction: row;
    justify-content: right;
    gap: 30px;
    margin: 0;
    padding: 20px;
    border-radius: 0 0 5px 5px;
    border-collapse: collapse;
    border: 2px solid black;
    border-top: 0;
}

.btn-modal {
    padding: 5px 10px;
}

.btn-modal-close {
    width: 30px;
}

#delete_prompt {
    padding: 50px;
    font-size: larger;
}